/*
oled\p֐ ver0.1 10/05/20 Yokota
*/

//錾
void set_font_cursor(unsigned char, unsigned char);
void draw_font(char);
void oled_printf(unsigned char * ,char, char);
void fill(unsigned char);
//錾I

unsigned char oled_x,oled_y;	//o͍W
unsigned char oled_color;	//tHgF
unsigned char oled_back;	//tHg̔wiF

void set_font_cursor(unsigned char x, unsigned char y)	//tHg\Wݒ
{
	oled_cmd_out(0x15);	//Column Addr
	oled_cmd_out(x);
	oled_cmd_out(x+7);			

	oled_cmd_out(0x75);	//Row Addr
	oled_cmd_out(y);
	oled_cmd_out(y+8);	
}

void set_font_color(unsigned char color, unsigned char back_color)	//\tHgFݒ
{
	oled_color=color;
	oled_back=back_color;
}


void draw_font(char data)	//tHgo
{
	unsigned char i,j,temp;
	unsigned int addr;
	
	data=data-0x20;
	addr=data*7;

	for(i=0;i<7;i++)
	{
		temp=font[i+addr];
		for(j=0;j<8;j++)
		{
			if((temp&0x80)==0x80)
			{
				oled_data_out(oled_color);	
			}			
			else
			{
				oled_data_out(oled_back);
			}
			temp=temp<<1;
		}
	}
}

void oled_printf(unsigned char *s,char x,char y) //|C^sɊi[ꂽw肵Wɕ\
{
	char len=0;
	
	while(*s++)
	{	
		set_font_cursor(x+(7*len),y);
		draw_font(*(s-1));
		len++;
	}
}

void fill(unsigned char color)	//pDʂw肵FœhԂ
{
	unsigned int i;

	oled_cmd_out(0x15);	//Column Addr
	oled_cmd_out(0);
	oled_cmd_out(95);			

	oled_cmd_out(0x75);	//Row Addr
	oled_cmd_out(0);
	oled_cmd_out(63);	
		
	for(i=0;i<6144;i++)	//ShbgwFɂ
	{
		oled_data_out(color);	
	}
}
